AI resources
Delete order

Delete an order whenever you need to with the ID of the user and the external ID. If the request is successful, the response will be: code 204 - The server successfully processed the request, but is not returning any content.

DELETE

https://api.mercadopago.com/instore/qr/seller/collectors/{user_id}/pos/{external_pos_id}/orders
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
user_id
string

REQUIRED

User Id
external_pos_id
string

REQUIRED

External POS Id
Response parameters
Esta solicitação não tem resposta
Errors

400Error

invalid_collectorId

user_id must be a number.

invalid_externalPosId

externalPosId must be present.

invalid_access_token

Access denied.

500Error

in_store_order_creation_error

Failed to delete order.

Request
curl -X DELETE \
    'https://api.mercadopago.com/instore/qr/seller/collectors/{user_id}/pos/{external_pos_id}/orders'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    
Response
// This request has not been responded to.